%define enable_xcb 0
# mklibname should handle the special cases of library naming
%define libx11 %mklibname x11_ 6
%define libxorgoldname %mklibname xorg-x11
Name: libx11
Summary: X Library
Version: 1.1.1
%define subrel 1
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libX11-%{version}.tar.bz2
# the new default unicode compose file is too human-unfriendly; keeping
# the old one...
Source10: X_Compose-en_US.UTF-8
# locale.dir, compose.dir, locale.alias files.
# maintaining them trough patches is a nightmare, as they change
# too much too often; it is easier to manage them separately -- pablo
Source11: X11-compose.dir
Source12: X11-locale.alias
Source13: X11-locale.dir
Patch0: libx11-CVE-2007-1667.patch
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: libxorg-x11
Provides: libxorg-x11

BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0

%description
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

#-----------------------------------------------------------

%package -n %{libx11}
Summary: X Library
Group: Development/X11
Conflicts: %{libxorgoldname} < 7.0
Provides: %{name} = %{version}

%description -n %{libx11}
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

%post -n %{libx11}
grep -q "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf || echo "%{_prefix}/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n %{libx11}
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

#-----------------------------------------------------------

%package -n %{libx11}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libx11} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libx11-devel = %{version}-%{release}
Conflicts: %{libxorgoldname}-devel < 7.0

%description -n %{libx11}-devel
%{name} includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. X11 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install %{name} if you are going to develop programs which
will run as X clients.

%pre -n %{libx11}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libx11}-devel
%defattr(-,root,root)
%{_mandir}/man3/*.3.bz2
%{_libdir}/libX11.so
%{_libdir}/libX11.la
%{_libdir}/pkgconfig/x11.pc
%{_includedir}/X11/cursorfont.h
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/XKBlib.h

#-----------------------------------------------------------

%package -n %{libx11}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libx11}-devel = %{version}
Conflicts: %{libxorgoldname}-static-devel < 7.0
Provides: libx11-static-devel = %{version}-%{release}

%description -n %{libx11}-static-devel
Static development files for %{name}

%files -n %{libx11}-static-devel
%defattr(-,root,root)
%{_libdir}/libX11.a

#-----------------------------------------------------------

%package common
Summary: Common files used by the X.org
Group: System/X11

%description common
Common files used by the X.org

%files common
%defattr(-,root,root)
%dir %{_datadir}/X11
%dir %{_datadir}/X11/locale
%{_datadir}/X11/locale/*
%{_libdir}/X11/Xcms.txt
%{_datadir}/X11/XErrorDB
%{_datadir}/X11/XKeysymDB

#-----------------------------------------------------------

%prep
%setup -q -n libX11-%{version}
%patch0 -p1 -b .cve-2007-1667

# backup the original files (so we can look at them later) and use our own
cp nls/compose.dir.pre nls/compose.dir.orig
cp nls/locale.alias.pre nls/locale.alias.orig
cp nls/locale.dir.pre nls/locale.dir.orig
cp nls/en_US.UTF-8/Compose.pre nls/en_US.UTF-8/Compose.orig
cat %{SOURCE10} | sed 's/#/XCOMM/' > nls/en_US.UTF-8/Compose.pre
cat %{SOURCE11} | sed 's/#/XCOMM/' > nls/compose.dir.pre
cat %{SOURCE12} | sed 's/#/XCOMM/' > nls/locale.alias.pre
cat %{SOURCE13} | sed 's/#/XCOMM/' > nls/locale.dir.pre


%build
aclocal && libtoolize --force && automake && autoconf
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}\
		%if %enable_xcb
		--with-xcb
		%else
		--without-xcb
		%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libx11}
%defattr(-,root,root)
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.2.0


%changelog
* Tue Apr 10 2007 Vincent Danen <vdanen@mandriva.com> 1.1.1-2.1mdv2007.1
- P0: security fix for CVE-2007-1667

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.1.1-2mdv2007.0
+ Revision: 122277
- rebuild for pkgconfig deps

* Fri Feb 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 118504
- new upstream release: 1.1.1

  + Pablo Saratxaga <pablo@mandriva.com>
    - merged {compose,locale}.dir with X11.org files
    - zh_HK.UTF-
    - added recognition of more locales (now in sync with DrakX)

* Thu Nov 16 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.3-3mdv2007.1
+ Revision: 84844
- improved default UTF-8 Compose file
- improved {locale,compose}.{dir,alias} with definitions for all our locales

* Thu Jul 06 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-2mdv2007.0
+ Revision: 38413
- Removed wrong requires for mkcomposecache. Thanks for Stefan van der Eijk for pointing that.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

* Mon Jul 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 38293
- new upstream release (1.0.3):
  * Fix Compose Cache
  * One instance of checking the setuid() return value was missed

* Wed Jun 28 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 38132
- new upstream release (1.0.2). Highlights:
  * i18n: Separate data and lib directories
  * Break out locale data into separate data and library directories, under
  $(datadir) and $(libdir), respectively, by default.
  * im: add Braille input method (#6296)
  * fdo bug #3104: Compose table cache for faster X11 application starts.
  * Set XTHREADLIB correctly for dragonfly platforms.
  * Fix threading support on GNU/kFreeBSD systems.
  * Check setuid() return value
- removed patch for braille support (this release already has that)
- rebuild to fix cooker uploading
- renamed libx11_6-common to libx11-common
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.0.1
      Patch0 (GIT): add braille input method support

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - Fix conflict on x86_64

  + Thierry Vignaud <tvignaud@mandriva.com>
    - provides/obsoletes libxorg-x11 (so that updates work smoothly)

